MacServiceManagement.ServiceManagementResult (install4j API)
Description: declaration: package: com.install4j.api.macos, class: MacServiceManagement, enum: ServiceManagementResult

# Enum Class MacServiceManagement.ServiceManagementResult

java.lang.Object
java.lang.Enum<MacServiceManagement.ServiceManagementResult>
com.install4j.api.macos.MacServiceManagement.ServiceManagementResult

All Implemented Interfaces:
  `Serializable, Comparable<MacServiceManagement.ServiceManagementResult>, Constable`

Enclosing class:
  `MacServiceManagement`

public static enum MacServiceManagement.ServiceManagementResult extends Enum<MacServiceManagement.ServiceManagementResult>
Result of a service management operation.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR_ALREADY_REGISTERED`
  `ERROR_AUTHORIZATION_FAILURE`
  `ERROR_INTERNAL_FAILURE`
  `ERROR_INVALID_PLIST`
  `ERROR_INVALID_SIGNATURE`
  `ERROR_JOB_MUST_BE_ENABLED`
  `ERROR_JOB_NOT_FOUND`
  `ERROR_JOB_PLIST_NOT_FOUND`
  `ERROR_LAUNCH_DENIED_BY_USER`
  `ERROR_REQUIRES_APPROVAL`
  `ERROR_SERVICE_UNAVAILABLE`
  `ERROR_TOOL_NOT_VALID`
  `ERROR_UNKNOWN`
  `ERROR_UNSUPPORTED`
  `OK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MacServiceManagement.ServiceManagementResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MacServiceManagement.ServiceManagementResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OK

    public static final MacServiceManagement.ServiceManagementResult OK

  - ### ERROR_UNSUPPORTED

    public static final MacServiceManagement.ServiceManagementResult ERROR_UNSUPPORTED

  - ### ERROR_UNKNOWN

    public static final MacServiceManagement.ServiceManagementResult ERROR_UNKNOWN

  - ### ERROR_REQUIRES_APPROVAL

    public static final MacServiceManagement.ServiceManagementResult ERROR_REQUIRES_APPROVAL

  - ### ERROR_INTERNAL_FAILURE

    public static final MacServiceManagement.ServiceManagementResult ERROR_INTERNAL_FAILURE

  - ### ERROR_INVALID_SIGNATURE

    public static final MacServiceManagement.ServiceManagementResult ERROR_INVALID_SIGNATURE

  - ### ERROR_AUTHORIZATION_FAILURE

    public static final MacServiceManagement.ServiceManagementResult ERROR_AUTHORIZATION_FAILURE

  - ### ERROR_TOOL_NOT_VALID

    public static final MacServiceManagement.ServiceManagementResult ERROR_TOOL_NOT_VALID

  - ### ERROR_JOB_NOT_FOUND

    public static final MacServiceManagement.ServiceManagementResult ERROR_JOB_NOT_FOUND

  - ### ERROR_SERVICE_UNAVAILABLE

    public static final MacServiceManagement.ServiceManagementResult ERROR_SERVICE_UNAVAILABLE

  - ### ERROR_JOB_PLIST_NOT_FOUND

    public static final MacServiceManagement.ServiceManagementResult ERROR_JOB_PLIST_NOT_FOUND

  - ### ERROR_JOB_MUST_BE_ENABLED

    public static final MacServiceManagement.ServiceManagementResult ERROR_JOB_MUST_BE_ENABLED

  - ### ERROR_INVALID_PLIST

    public static final MacServiceManagement.ServiceManagementResult ERROR_INVALID_PLIST

  - ### ERROR_LAUNCH_DENIED_BY_USER

    public static final MacServiceManagement.ServiceManagementResult ERROR_LAUNCH_DENIED_BY_USER

  - ### ERROR_ALREADY_REGISTERED

    public static final MacServiceManagement.ServiceManagementResult ERROR_ALREADY_REGISTERED

- ## Method Details

  - ### values

    public static MacServiceManagement.ServiceManagementResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MacServiceManagement.ServiceManagementResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null